Resource

Status Page Announcement

Manage announcements on your status page

The Status Page Announcement Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    statusPages
    Type
    Status Page
    Description

    Status Pages to show show this announcement on.

  • Name
    monitors
    Type
    Monitor
    Description

    List of monitors affected by this announcement. If none are selected, all subscribers will be notified.

  • Name
    title
    Type
    TextRequired
    Description

    Title of this resource

  • Name
    showAnnouncementAt
    Type
    DateRequired
    Description

    When should this announcement be shown?

  • Name
    endAnnouncementAt
    Type
    Date
    Description

    When should this announcement hidden?

  • Name
    description
    Type
    MarkdownRequired
    Description

    Text of the announcement. This can be in Markdown format.

  • Name
    attachments
    Type
    File
    Description

    Files attached to this announcement

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    subscriberNotificationStatusMessage
    Type
    Very Long Text
    Description

    Status message for subscriber notifications - includes success messages, failure reasons, or skip reasons

  • Name
    shouldStatusPageSubscribersBeNotified
    Type
    Boolean
    Description

    Should subscribers be notified about this announcement?

GETorPOST/api/status-page-announcement/get-list

List

This endpoint allows you to retrieve a paginated list of all your Status Page Announcement. By default, a maximum of ten Status Page Announcement are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-announcement/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "description": true,
    "projectId": true,
    "title": true,
    "createdByUserId": true,
    "showAnnouncementAt": true
  },
  "query": {
    "title": "Scheduled Maintenance - Database Upgrade"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377ba3d0-28fe-11f1-b591-3fdcef396aba",
      "description": "We will be performing scheduled maintenance on our database servers. Expected downtime is 2 hours.",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "title": "Scheduled Maintenance - Database Upgrade",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
      "showAnnouncementAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377ba3d1-28fe-11f1-b591-3fdcef396aba",
      "description": "We will be performing scheduled maintenance on our database servers. Expected downtime is 2 hours.",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "title": "Scheduled Maintenance - Database Upgrade",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
      "showAnnouncementAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377ba3d2-28fe-11f1-b591-3fdcef396aba",
      "description": "We will be performing scheduled maintenance on our database servers. Expected downtime is 2 hours.",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "title": "Scheduled Maintenance - Database Upgrade",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
      "showAnnouncementAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}
GETorPOST/api/status-page-announcement/:id/get-item

Get item by ID

This endpoint allows you to retrieve Status Page Announcement by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-announcement/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "description": true,
    "projectId": true,
    "title": true,
    "createdByUserId": true,
    "showAnnouncementAt": true
  }
}

Response

{
  "_id": "377ba3d0-28fe-11f1-b591-3fdcef396aba",
  "description": "We will be performing scheduled maintenance on our database servers. Expected downtime is 2 hours.",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "title": "Scheduled Maintenance - Database Upgrade",
  "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
  "showAnnouncementAt": "2024-01-15T10:30:00.000Z"
}
POST/api/status-page-announcement/count

Count

This endpoint allows you to retrieve the count of all your Status Page Announcement.

Optional Request Body

Count Request

POST
/api/status-page-announcement/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "title": "Scheduled Maintenance - Database Upgrade"
  }
}

Response

{
  "count": 107
}
POST/api/status-page-announcement

Create Status Page Announcement

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-announcement
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "description": "We will be performing scheduled maintenance on our database servers. Expected downtime is 2 hours.",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "title": "Scheduled Maintenance - Database Upgrade",
    "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
    "showAnnouncementAt": "2024-01-15T10:30:00.000Z"
  }
}

Response

{
  "_id": "377ba3d0-28fe-11f1-b591-3fdcef396aba",
  "description": "We will be performing scheduled maintenance on our database servers. Expected downtime is 2 hours.",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "title": "Scheduled Maintenance - Database Upgrade",
  "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
  "showAnnouncementAt": "2024-01-15T10:30:00.000Z"
}
PUT/api/status-page-announcement/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-announcement/:id/update-item
GET/api/status-page-announcement/:id/update-item

Update Request

PUT
/api/status-page-announcement/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "description": "We will be performing scheduled maintenance on our database servers. Expected downtime is 2 hours.",
    "title": "Scheduled Maintenance - Database Upgrade",
    "showAnnouncementAt": "2024-01-15T10:30:00.000Z"
  }
}

Response

{}
DELETE/api/status-page-announcement/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-announcement/:id/delete-item
GET/api/status-page-announcement/:id/delete-item

Delete Request

DELETE
/api/status-page-announcement/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Status Page Announcement

  • Project Owner
  • Project Admin
  • Project Member
  • Read Status Page Announcement
  • Read All Project Resources

Create Permissions

Required to create Status Page Announcement

  • Project Owner
  • Project Admin
  • Project Member
  • Create Status Page Announcement

Update Permissions

Required to update Status Page Announcement

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Status Page Announcement

Delete Permissions

Required to delete Status Page Announcement

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Status Page Announcement